
include SEP149bw.make

lsz = titlesz=14 titlefat=1 labelrot=y labelfat=1 labelsz=12 wheretitle=t 
lsz2 = titlesz=8 titlefat=-1 labelrot=y labelfat=-1 labelsz=7 wheretitle=t 
gpar= min2=0. max2=1. title=' ' label2='Amplitude' label1='x(m)' $(lsz) screenratio=0.29 wantaxis2=1
gpar2 = >/dev/null title=' ' $(lsz) wheretitle=t crowd=0.75 whereylabel=l wherexlabel=b wheretics=f pclip=99  newclip=1 label1='z(m)' label2='x(m)' screenratio=0.23 wantaxis2=1
gpar3 = >/dev/null title=' ' $(lsz) wheretitle=t crowd=0.70 whereylabel=l wherexlabel=b wheretics=f pclip=98  newclip=1 label1='t(s)' label2='x(m)'  wantaxis2=0
gpar4 = >/dev/null title=' ' $(lsz) wheretitle=t crowd=0.70 whereylabel=l wherexlabel=b wheretics=f pclip=98  newclip=1 label1='t(s)' label2='x(m)' screenratio=0.4


Vfig6sep149mandy2.v: 
	rm -f 1.v 2.v 3.v
	< Data/rtmSAdecUUDDTotal.H  ${SEPBIN}/Grey $(gpar2) title='(a)' newclip=1 bclip=-15. eclip=10.  wantaxis2=0 out=junk1.v >/dev/null
	< Data/rtmSAdecUDDUTotal.H  ${SEPBIN}/Grey $(gpar2)  title='(b)' newclip=1 bclip=-15. eclip=10. wantaxis2=0  out=junk2.v >/dev/null
	< Data/rtmSAdecTotal.H  ${SEPBIN}/Grey $(gpar2) title='(c)' newclip=1 bclip=-15. eclip=10.  out=junk3.v >/dev/null
	vppen < junk1.v vpstyle=n xshift=0 yshift=18.5 > 1.v
	vppen < junk2.v vpstyle=n xshift=0 yshift=9.5 > 2.v
	vppen < junk3.v vpstyle=n xshift=0 yshift=0.5 > 3.v
	vppen 1.v 2.v 3.v erase=n scale=0.2 > Vfig6sep149mandy2.v
	rm -f 1.v 2.v 3.v junk*.v



############### SeamV2 #####################################

zoomp1= >/dev/null $(lsz) wheretitle=t whereylabel=l wherexlabel=b wheretics=f pclip=95 min2=4000. max2=7000. min1=1500. max1=4500. label2='x(m)' label1='z(m)'
velcolor1 = bclip=1800. eclip=3800.
velcolor2 = bclip=2900. eclip=3800.

Vfig4sep149mandy2.v: Data/modelv2.H
	${SEPBIN}/Grey < Input/velSeam2dv2.H $(gpar4) crowd=0.75 screenratio=0.23 color=j newclip=1 title='(a)' wantaxis2=0 out=junk1.v >/dev/null
	${SEPBIN}/Grey < Input/velSeamSmoothv2.H $(gpar4) crowd=0.75 screenratio=0.23 color=j newclip=1 title='(b)' wantaxis2=0 out=junk2.v >/dev/null
	${SEPBIN}/Grey < Data/modelv2.H $(gpar4) crowd=0.75 screenratio=0.23 newclip=1 title='(c)' out=junk3.v >/dev/null
	vppen < junk1.v vpstyle=n xshift=0 yshift=18.5 > 1.v
	vppen < junk2.v vpstyle=n xshift=0. yshift=9.5 > 2.v
	vppen < junk3.v vpstyle=n xshift=0. yshift=0.5 > 3.v
	vppen 1.v 2.v 3.v  erase=n scale=0.2 > $@
	rm 1.v 2.v 3.v junk*.v



Vfig5sep149mandy2.v Vfig7sep149mandy2.v: Data/modelv2.H Data/mwfileNeg.H
	python pycode/pyRemove.py mMbp*H out*H
	< Data//modelv2.H Scale scale_to=1.0 | ${SEPBIN}/Grey title='(a)' $(zoomp1) wantaxis2=0 out=junka.v >/dev/null
	Add  Data/mArtSGTotaliter2.H Data/mwfileSA170.H  mode=prod > out1.H
	< out1.H ${SEPBIN}/Bandpass flo=0.004 > mMbp1.H
	< mMbp1.H  ${SEPBIN}/Grey $(gpar2) title='(a)' wantaxis2=0 out=junk2.v >/dev/null
	< mMbp1.H  ${SEPBIN}/Grey title='(b)' $(zoomp1) wantaxis2=0 wantaxis1=0 out=junkb.v >/dev/null
	Add  Data/mArtSGTotaliter20.H Data/mwfileSA170.H  mode=prod > out2.H
	< out2.H ${SEPBIN}/Bandpass flo=0.004  > mMbp2.H
	< mMbp2.H  ${SEPBIN}/Grey $(gpar2) title='(b)' wantaxis2=0 out=junk3.v >/dev/null
	< mMbp2.H  ${SEPBIN}/Grey title='(c)' $(zoomp1) out=junkc.v >/dev/null
	Add  Data/mArtSHTotaliter20.H Data/mwfileNeg.H  mode=prod > out3.H
	< out3.H  ${SEPBIN}/Bandpass flo=0.001 | ${SEPBIN}/Grey $(gpar2) title='(c)' wantaxis2=1 out=junk4.v >/dev/null
	< out3.H  ${SEPBIN}/Bandpass flo=0.001 | ${SEPBIN}/Grey title='(d)' $(zoomp1) wantaxis1=0 out=junkd.v >/dev/null	
	vppen < junk2.v vpstyle=n xshift=0 yshift=18.5 > 1.v
	vppen < junk3.v vpstyle=n xshift=0 yshift=9.5 > 2.v
	vppen < junk4.v vpstyle=n xshift=0 yshift=0.5 > 3.v
	vppen < junka.v vpstyle=n xshift=0 yshift=9.5 > a.v
	vppen < junkb.v vpstyle=n xshift=11. yshift=9.5 > b.v
	vppen < junkc.v vpstyle=n xshift=0 yshift=0.5 > c.v
	vppen < junkd.v vpstyle=n xshift=11. yshift=0.5 > d.v
	vppen 1.v 2.v 3.v erase=n scale=0.2 > Vfig5sep149mandy2.v
	vppen a.v b.v c.v d.v erase=n scale=0.2 > Vfig7sep149mandy2.v
	rm -f 1.v 2.v 3.v 4.v a.v b.v. c.v. d.v junk*.v
	python pycode/pyRemove.py mMbp*.H out*H t*H


zoomp2= >/dev/null $(lsz) wheretitle=t whereylabel=l wherexlabel=b wheretics=f min2=7000. max2=10000. min1=3500. max1=6000. label2='x(m)' bclip=1. eclip=-1. label1='z(m)' label2='x(m)' newclip=1 bclip=-0.25 eclip=0.25

zoomp2b= >/dev/null $(lsz) wheretitle=t whereylabel=l wherexlabel=b wheretics=f min2=7000. max2=10000. min1=3500. max1=6000. label2='x(m)' bclip=1. eclip=-1. label1='z(m)' label2='x(m)' newclip=1 bclip=-0.25 eclip=0.25
Winpar = |  Window3d f1=175 n1=125 | Window3d f2=350 n2=150 

Vfig8sep149mandy2.v: Data/modelv2.H Data/mwfileNeg.H
	python pycode/pyRemove.py mMbp*H out*H 
	< Data/modelv2.H  Window3d f1=175 n1=125 | Window3d f2=350 n2=150 | Scale scale_to=1.0 | ${SEPBIN}/Grey title='(a)' $(zoomp2) wantaxis2=0 out=junka.v >/dev/null
	Add  Data/mArtSGTotaliter2.H Data/mwfileSA170.H  mode=prod $(Winpar) > out1.H
	< out1.H ${SEPBIN}/Bandpass flo=0.004 fhi=0.025 | Tpow tpow=0.5 > mMbp1.H
	< mMbp1.H Scale scale_to=1. | ${SEPBIN}/Grey title='(b)' $(zoomp2b) wantaxis2=0 wantaxis1=0 out=junkb.v >/dev/null
	Add  Data/mArtSGTotaliter11.H Data/mwfileSA170.H  mode=prod $(Winpar) > out2.H
	< out2.H ${SEPBIN}/Bandpass flo=0.004  | Scale scale_to=1. > mMbp2.H
	< mMbp2.H  ${SEPBIN}/Grey title='(c)' $(zoomp2b) wantaxis2=0 out=junkc.v >/dev/null
	Add  Data/mArtSHTotaliter11.H Data/mwfileNeg.H  mode=prod  $(Winpar) | Scale scale_to=1. > mMbp3.H
	< mMbp3.H ${SEPBIN}/Grey title='(d)' $(zoomp2b) wantaxis2=0 wantaxis1=0 out=junkd.v >/dev/null	
	Add  Data/mArtSGTotaliter40.H Data/mwfileSA170.H  mode=prod $(Winpar) > out4.H
	< out4.H ${SEPBIN}/Bandpass flo=0.004 | Scale scale_to=1. > mMbp4.H
	< mMbp4.H  ${SEPBIN}/Grey title='(e)' $(zoomp2b) out=junke.v >/dev/null
	Add  Data/mArtSHTotaliter40.H Data/mwfileNeg.H  mode=prod $(Winpar) | Scale scale_to=1. > mMbp5.H
	< mMbp5.H  ${SEPBIN}/Grey title='(f)' $(zoomp2b) wantaxis1=0 out=junkf.v >/dev/null
	vppen < junka.v vpstyle=n xshift=0 yshift=18.5 > a.v
	vppen < junkb.v vpstyle=n xshift=11. yshift=18.5 > b.v
	vppen < junkc.v vpstyle=n xshift=0 yshift=9.5 > c.v
	vppen < junkd.v vpstyle=n xshift=11. yshift=9.5 > d.v
	vppen < junke.v vpstyle=n xshift=0 yshift=0.5 > e.v
	vppen < junkf.v vpstyle=n xshift=11. yshift=0.5 > f.v
	vppen a.v b.v c.v d.v e.v f.v erase=n scale=0.2 > Vfig8temp.v
	vp_annotate < Vfig8temp.v text=Ant/antVfig8.txt batch=y > Vfig8sep149mandy2.v
	rm -f a.v b.v. c.v. d.v junk*.v Vfig8temp.v
	python pycode/pyRemove.py mMbp*.H out*H t*H


Data/modelv2.H: bin/DeltaSSo.x
	bin/DeltaSSo.x naxis=2 file1=Input/velSeam2dv2.H file2=Input/velSeamSmoothv2.H outfile=Data/modelv2.H >/dev/null


gph1 = title=' ' legendfat=1 dash=[0,4,2] label2="Amplitdue Spectra" label1="Frequency(Hz)" plotfat=[1,4,4] legendloc=tr legendsz=8 labelfat=1

Vfig9sep149mandy2.v: Data/ggSG190.H Data/ggSG190.H
	python pycode/pyRemove.py tSG.H tSH.H trrSG.H tsum.H
	Spectra < Data/rrArtSG190iter1.H | Stack | Scale scale_to=1 > trrSG.H
	Spectra < Data/ggSG190.H | Stack | Scale scale_to=1. > tSG.H
	Spectra < Data/ggSH190.H | Stack | Scale scale_to=1. > tSH.H
	Cat trrSG.H tSG.H tSH.H axis=2 > tsum.H
	Graph < tsum.H n2=3 legend=1 curvelabel=Data:Laplac:Decomp max1=50. min1=0. $(gph1) out=Vfig9sep149mandy2.v >/dev/null
	python pycode/pyRemove.py tSG.H tSH.H trrSG.H tsum.H

Data/ggSG190.H Data/ggSH190.H:
	cp backup/Datafiles/ggSG190.H Data/.
	cp backup/Datafiles/ggSH190.H Data/.

Data/mwfileNeg.H: Data/mwfileSA170.H bin/updateAB.x
	bin/updateAB.x  alpha=-1. beta=0. naxis=2 file1=Data/mwfileSA170.H file2=Data/mwfileSA170.H outfile=$@ >/dev/null


extractfile:
	cp LSM/SG/m/mArtSGTotaliter2.H Data/.
	cp LSM/SG/m/mArtSGTotaliter11.H Data/.
	cp LSM/SG/m/mArtSGTotaliter20.H Data/.
	cp LSM/SG/m/mArtSGTotaliter40.H Data/.
	cp LSM/SH/m/mArtSGTotaliter11.H Data/.
	cp LSM/SH/m/mArtSGTotaliter20.H Data/.
	cp LSM/SH/m/mArtSGTotaliter40.H Data/.
	cp LSM/SG/rr/rrArtSG190iter1.H Data/.
	cp rtm/SA/rtmSAdecUDDUTotal.H Data/.
	cp rtm/SA/rtmSAdecUUDDTotal.H Data/.
	cp rtm/SA/rtmSAdecTotal.H Data/.

	
