#! /usr/bin/env python
#from SEP import *
import commands,re,string,sys,os
import datetime
import sys
from array import *
#import Numeric
import subprocess


from pyLoc import *

plet='SG'

Nproc=400

maindir = 'Data/SG'


savDir = "%s"%(maindir)
sbin = "bin"
sepb = "/usr/local/SEP/bin"
nodes = 1   # number of nodes for each job
ppn=16     # number of processor per node
walltime='24:00:00'  # max time to wait for the job to finish
pmem = '2gb'  # max memory to allocate for the job
jobname = 'Fmod%s_'%(plet) # Job name 

parfile = 'Par/synFmod1Seam.par'

os.system("rm -f out1.par; sed '/#/d' %s | sed '/^$/d' | tr '\n' ' ' > out1.par"%(parfile))
f1 = open("out1.par")
param = f1.readline()
f1.close()
print 'param', param

	
for i in K[:]:
	a1 = '%s'%(L[i][0])
	Gx = L[i][0]
	Gy = L[i][1]
	Gz = L[i][2]
	submitted = 0
	if (os.path.isdir('%s/pbs'%(savDir)) != 1):
		os.system('mkdir %s/pbs'%(savDir))
	if (os.path.isdir('%s/logfile'%(savDir)) != 1):
		os.system('mkdir %s/logfile'%(savDir))
	cmdfile = "%s/pbs/PBS%s%s.txt"%(savDir,plet,i)
	logfile2 = "%s/logfile/fm%s.txt"%(savDir,i)
	os.system("rm -f %s %s"%(cmdfile,logfile2))
	while (submitted == 0):
		# flag = number of job running
		cmd0="qstat | grep \"mandyman\" | grep \"%s\" -c >& %s/count.txt"%(jobname,savDir)
		Indivjobname = '%s%s'%(jobname,i)
		print cmd0
		os.system(cmd0)
		stg1 = "%s/count.txt"%(savDir)
		f = open(stg1)
		os.system("rm -f %s/count.txt"%(savDir))
		flag = int(f.readline())	
		f.close()
		print 'number of proc found', flag	
		
		if (flag < Nproc):
			print 'Fmod1: submitting shot #', i
			cmd0 ='python pycode/pyRemove.py %s/Fmod%s%s.H %s/tmp%s%s.H %s/souWfld%s.H'%(savDir,plet,i,savDir,plet,i,savDir,i)
			cmd1 = 'bin/Synth_data.x < Input/velSeamSmoothv2.H aux=Input/wavelet.H %s xsrc=%s zsrc=%s npad=30 wfldout=0 souwfld="%s/souwfld%s.H" outfile=%s/tmp%s%s.H >& %s'%(param,Gx,Gz,savDir,i,savDir,plet,i,logfile2)
			print cmd1
			cmd2 = "${SEPBIN}/Bandpass < %s/tmp%s%s.H flo=3. fhi=25. | Transp | ${SEPBIN}/Bandpass fhi=0.005 | Transp  > %s/Fmod%s%s.H"%(savDir,plet,i,savDir,plet,i)
			cmd3 = "bin/ApplyWgt.x <%s/Fmod%s%s.H Wgtfile=DWfile/SA/dwfileSA%s.H outfile=%s/Fmod%s%smute.H >/dev/null"%(savDir,plet,i,i,savDir,plet,i)
			cmd4 = "python pycode/pyRemove.py Data/SH/DmodSH%s.H"%(i)
			cmd5 = "bin/updateAB.x alpha=1 beta=-1 naxis=2 file1=Data/SF/FmodSF%smute.H file2=Data/SG/FmodSG%smute.H outfile=Data/SH/DmodSH%stmp.H >/dev/null"%(i,i,i)
			cmd6 = "${SEPBIN}/Bandpass < Data/SH/DmodSH%stmp.H flo=3. fhi=25. > Data/SH/DmodSH%s.H"%(i,i)
			cmd7 = 'python pycode/pyRemove.py %s/tmp%s%s.H Data/SH/DmodSH%stmp.H'%(savDir,plet,i,i)
			os.system("echo '%s' >> %s"%(cmd0,cmdfile))
			os.system("echo '%s' >> %s"%(cmd1,cmdfile))
			os.system("echo '%s' >> %s"%(cmd2,cmdfile))
			os.system("echo '%s' >> %s"%(cmd3,cmdfile))
			os.system("echo '%s' >> %s"%(cmd4,cmdfile))
			os.system("echo '%s' >> %s"%(cmd5,cmdfile))
			os.system("echo '%s' >> %s"%(cmd6,cmdfile))
			os.system("echo '%s' >> %s"%(cmd7,cmdfile))

			# generate the pbs scripts 
			cmd1 = "pycode/pyWritePBSsep.py %s %s %s %s %s %s"%(nodes,ppn,walltime,pmem,Indivjobname,cmdfile)
			os.system( cmd1)
			submitted = 1
			os.system('sleep 2')
		else:
			print 'Number of proc',flag,'wait 10'
			os.system("sleep 10")

flag=1

while (flag > 0):	
	# flag = number of job running
	os.system("qstat | grep \"mandyman\" | grep \" C \" -v  | grep \"%s\" -c >& %s/count.txt"%(Indivjobname,savDir)) 
	f = open("%s/count.txt"%(savDir))
	os.system("rm -f %s/count.txt"%(savDir))
	flag = int(f.readline())	
	f.close()	
	os.system("rm -f %s/count.txt"%(savDir))
	print "Number of proc",flag,",not done yet, sleep 10"
	os.system("sleep 10")


print "Good bye!"


